# collections items list

## Synopsis

```shell
omics publisher collections items list
  --collection=COLLECTION_ID
  [--limit=NUMBER]
  [--type=ITEM_TYPE]
  [--max-results=NUMBER]
```

## Description

List all items in a collection. Items represent the files, tables, or other data objects that are part of the collection.

## Examples

List all items in a collection.

```shell
omics publisher collections items list --collection my-collection
```

List only a specific type of items.

```shell
omics publisher collections items list --collection my-collection --type file
```

Limit the number of results returned.

```shell
omics publisher collections items list --collection my-collection --max-results 100
```

## Flags

### `--collection`=`COLLECTION_ID`

The ID or slug name of the collection to list items from.

### `--limit`=`NUMBER`

Set the page size returned by the server. Defaults to 50.

### `--type`=`ITEM_TYPE`

Filter items by type. Use this to list only specific types of items in the collection.

### `--max-results`=`NUMBER`

Limit the maximum number of results printed to the console.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/publisher/collections-items-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
